local t = Def.ActorFrame {};

t[#t+1] = LoadActor("sky") .. {
	InitCommand=cmd(FullScreen);--diffuse,DarkColor(cBlue);diffusealpha,0.4); --blend,"BlendMode_WeightedMultiply");
};
t[#t+1] = LoadActor("bsky") .. {
	InitCommand=cmd(FullScreen);--diffuse,DarkColor(cBlue);diffusealpha,0.4); --blend,"BlendMode_WeightedMultiply");
	OnCommand=cmd(cropbottom,1;croptop,-1.3;linear,4;cropbottom,-0.3;croptop,1;sleep,3;queuecommand,"On");
};

t[#t+1] = LoadActor("movie") .. {
    InitCommand=cmd(FullScreen;blend,"BlendMode_Add";diffusealpha,0.65);
};

t[#t+1] = Def.ActorFrame {
 FOV=90;
 -- was SCREEN_LEFT-100, then SCREEN_LEFT-50
 InitCommand=cmd(spin;effectmagnitude,0,80,0;x,SCREEN_LEFT-10;y,SCREEN_CENTER_Y;z,128;);
 	-- 4/4
	LoadActor("textring") .. {
		InitCommand=cmd(diffuse,cOrange);
		OnCommand=cmd(zoom,0.3;z,400;rotationy,90;spin;effectmagnitude,0,0,-40);
	};
	-- 3/4
	LoadActor("textring") .. {
		InitCommand=cmd(diffuse,cOrange);
		OnCommand=cmd(zoom,0.3;x,400;rotationy,-180;spin;effectmagnitude,0,0,-40);
	};	
	-- 2/4
	LoadActor("textring") .. {
		InitCommand=cmd(diffuse,cOrange);
		OnCommand=cmd(zoom,0.3;x,-400;rotationy,180;spin;effectmagnitude,0,0,-40);
	};	
	-- 1/4
	LoadActor("textring") .. {
		InitCommand=cmd(diffuse,cOrange);
		OnCommand=cmd(zoom,0.3;z,-400;rotationy,-90;spin;effectmagnitude,0,0,-40);
	};
	-- 4/4
	LoadActor("halfring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.75;diffusealpha,0.5;z,400;rotationy,90;spin;effectmagnitude,0,0,-40);
	};
	-- 3/4
	LoadActor("halfring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.75;diffusealpha,0.5;x,400;rotationy,-180;spin;effectmagnitude,0,0,-40);
	};	
	-- 2/4
	LoadActor("halfring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.75;diffusealpha,0.5;x,-400;rotationy,180;spin;effectmagnitude,0,0,-40);
	};	
	-- 1/4
	LoadActor("halfring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.75;diffusealpha,0.5;z,-400;rotationy,-90;spin;effectmagnitude,0,0,-40);
	};	
	-- 3/4
	LoadActor("ring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.5;z,400;rotationy,90;spin;effectmagnitude,0,0,80);
	};
	-- 2/4
	LoadActor("ring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.5;x,-400;rotationy,180;spin;effectmagnitude,0,0,80);
	};	
	-- 2/4
	LoadActor("ring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.5;z,-400;rotationy,-90;spin;effectmagnitude,0,0,80);
	};	
	-- 1/4
	LoadActor("ring") .. {
		InitCommand=cmd(diffuse,cBlue);
		OnCommand=cmd(zoom,0.5;x,400;rotationy,-180;spin;effectmagnitude,0,0,80);
	};	
};

t[#t+1] = Def.ActorFrame {
 InitCommand=cmd(Center;visible,false);
	LoadActor("stars") .. {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"BlendMode_Add";diffusealpha,0.15;customtexturerect,0,0,SCREEN_WIDTH/1024,SCREEN_HEIGHT/1024;texcoordvelocity,0.0,0.05);
	}; 	
 	LoadActor("KIRA2") .. {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"BlendMode_Add";customtexturerect,0,0,SCREEN_WIDTH/640,SCREEN_HEIGHT/480;texcoordvelocity,0.0,0.25);
	}; 	
	LoadActor("KIRA1") .. {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"BlendMode_Add";customtexturerect,0,0,SCREEN_WIDTH/640,SCREEN_HEIGHT/480;texcoordvelocity,0.0,0.125);
	};
};
-- Rave Lights
t[#t+1] = Def.ActorFrame {
 Condition=SCREENMAN:GetTopScreen() ~= "ScreenTitleMenu" or "ScreenLogo";
	Def.Quad {
--~ 		InitCommand=cmd(horizalign,left;x,SCREEN_LEFT;y,SCREEN_CENTER_Y-((480/6)*0.25);zoomto,100,SCREEN_HEIGHT-((480/6)*0.5)-((480/6)*1));
		InitCommand=cmd(horizalign,left;x,SCREEN_LEFT;y,SCREEN_CENTER_Y);
		OnCommand=cmd(zoomto,128,SCREEN_HEIGHT;faderight,1;diffusealpha,0.5);
	};
	Def.Quad {
--~ 		InitCommand=cmd(horizalign,right;x,SCREEN_RIGHT;y,SCREEN_CENTER_Y-((480/6)*0.25);zoomto,100,SCREEN_HEIGHT-((480/6)*0.5)-((480/6)*1));
		InitCommand=cmd(horizalign,right;x,SCREEN_RIGHT;y,SCREEN_CENTER_Y);
		OnCommand=cmd(zoomto,128,SCREEN_HEIGHT;fadeleft,1;diffusealpha,0.5);
	};
};

t[#t+1] = LoadActor("Common Scanlines") .. {
	InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;customtexturerect,0,0,SCREEN_WIDTH/640,SCREEN_HEIGHT/480);
	OnCommand=cmd(Center;diffusealpha,0.05);
};

return t